Delete an activity
delete
/rest/ofscCore/v1/activities/{activityId}
This operation deletes the specified activity when the following conditions are met:
- The activity status is 'pending'.
- The activity is not scheduled for a past date.
- The route is not started.
Request
Path Parameters
-
activityId(required): integer
The unique identifier of the activity in Oracle Field Service.
Response
Supported Media Types
- application/json
204 Response
This section describes the 204 status response for this operation. This response code indicates that the operation has completed successfully. This operation does not return any elements in the response body.
Default Response
This section describes the default error response for this operation.
Root Schema : Error
Type:
objectError response
Show Source
-
detail:
string
The detailed information about the error.
-
status:
string
The HTTP status code.
-
title:
string
The summary of the error message.
-
type:
string
The URL of the page containing the error details.
Examples
The following example shows how to delete an activity by submitting a DELETE request on the REST resource using cURL.
curl -X 'DELETE' \
-u '<CLIENT-ID>@<INSTANCE-NAME>:<CLIENT-SECRET>' \
-H 'Content-Type: application/json' \
--data-binary '' \
'https://<instance_name>.fs.ocs.oraclecloud.com/rest/ofscCore/v1/activities/4225269'Example of Response Header
The following shows an example of the response header.
HTTP/1.1 204 No Content Server: nginx/1.2.7 Date: Fri, 18 Mar 2016 02:22:03 GMT Content-Type: application/json; charset=utf-8 Connection: close